@ECHO OFF

ECHO.
ECHO ----- ASSEMBLING Invaded FOR TI-83 Ion...
ECHO #define TI83 > temp.asm
TYPE invaded.asm >> temp.asm
TASM -80 -I -B temp.asm invaded.bin
REM SPASM temp.asm invaded.bin
SET ERROR=TI-83 Ion
IF ERRORLEVEL 1 GOTO ERRORS
DEVPAC83 invaded

ECHO.
ECHO ----- ASSEMBLING Invaded FOR TI-83+ Ion...
ECHO #define TI83P > temp.asm
TYPE invaded.asm >> temp.asm
TASM -80 -I -B temp.asm invaded.bin
REM SPASM temp.asm invaded.bin
SET ERROR=TI-83+ Ion
IF ERRORLEVEL 1 GOTO ERRORS
DEVPAC8X invaded

ECHO.
ECHO ----- ASSEMBLING Invaded FOR TI-83+ MirageOS...
ECHO #define MIRAGE > temp.asm
TYPE invaded.asm >> temp.asm
TASM -80 -I -B temp.asm invadedm.bin
REM SPASM temp.asm invadedm.bin
SET ERROR=TI-83+ MirageOS
IF ERRORLEVEL 1 GOTO ERRORS
DEVPAC8X invadedm

ECHO.
ECHO ---- Success!
ECHO TI-83 Ion version is invaded.83p
ECHO TI-83+ Ion version is invaded.8xp
ECHO TI-83+ MirageOS version is invadedm.8xp
GOTO DONE

:ERRORS
ECHO ----- There were errors with the %ERROR% version!

:DONE
IF EXIST temp.asm DEL temp.asm > NUL
IF EXIST invaded.bin DEL invaded.bin > NUL
IF EXIST invadedm.bin DEL invadedm.bin > NUL
IF EXIST temp.lst DEL temp.lst > NUL
